Skip to main content
PATCH
/
v1
/
pods
/
{id}
Update pod
curl --request PATCH \
  --url https://api.openmail.sh/v1/pods/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientId": "<string>",
  "name": "<string>"
}
'
{
  "id": "<string>",
  "clientId": "<string>",
  "name": "<string>",
  "isDefault": true,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Pod ID or your own clientId

Body

application/json
clientId
string | null

Your own identifier for this pod. Set null to clear.

Maximum string length: 255
name
string | null

Human-readable label. Set null to clear.

Maximum string length: 255

Response

Pod updated

id
string

OpenMail pod ID

clientId
string | null

Your own identifier for the pod, if set.

name
string | null

Human-readable label, if set.

isDefault
boolean

Whether this is the account's default pod. Every account has exactly one; it is created automatically and cannot be deleted.

createdAt
string<date-time>